xine-lib: xine-lib-1.2.12/src/video_out/video_out_xshm.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions | Variables
video_out_xshm.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <X11/Xlib.h>`
`#include <X11/Xutil.h>`
`#include <X11/Xatom.h>`
`#include <errno.h>`
`#include <X11/extensions/XShm.h>`
`#include <sys/ipc.h>`
`#include <sys/shm.h>`
`#include <sys/time.h>`
`#include <pthread.h>`
`#include <netinet/in.h>`
`#include "xine.h"`
`#include <xine/video_out.h>`
`#include <xine/xine_internal.h>`
`#include "yuv2rgb.h"`
`#include <xine/xineutils.h>`
`#include <xine/vo_scale.h>`
`#include "x11osd.h"`
`#include "xine_mmx.h"`
`#include "color_matrix.c"`

## Data Structures
struct | xshm_frame_t
struct | xshm_driver_t
struct | xshm_class_t

## Macros
#define | LOG_MODULE "video_out_xshm"
#define | LOG_VERBOSE
#define | LOCK_DISPLAY(this)
#define | UNLOCK_DISPLAY(this)
#define | FS_DONE 1
#define | FS_LATE 2
#define | FS_FLAGS 4
#define | CM_LUT
#define | CM_DRIVER_T xshm_driver_t

## Functions
static int | HandleXError (Display *display, XErrorEvent *xevent)
static void | x11_InstallXErrorHandler (xshm_driver_t *this)
static void | x11_DeInstallXErrorHandler (xshm_driver_t *this)
static XImage * | create_ximage (xshm_driver_t *this, XShmSegmentInfo *shminfo, int width, int height)
static void | dispose_ximage (xshm_driver_t *this, XShmSegmentInfo *shminfo, XImage *myimage)
static uint32_t | xshm_get_capabilities (vo_driver_t *this_gen)
static void | xshm_compute_ideal_size (xshm_driver_t *this, xshm_frame_t *frame)
static void | xshm_compute_rgb_size (xshm_driver_t *this, xshm_frame_t *frame)
static void | xshm_frame_field (vo_frame_t *vo_img, int which_field)
static void | xshm_frame_proc_setup (vo_frame_t *vo_img)
static void | xshm_frame_proc_slice (vo_frame_t *vo_img, uint8_t **src)
static void | xshm_frame_dispose (vo_frame_t *vo_img)
static vo_frame_t * | xshm_alloc_frame (vo_driver_t *this_gen)
static void | xshm_update_frame_format (vo_driver_t *this_gen, vo_frame_t *frame_gen, uint32_t width, uint32_t height, double ratio, int format, int flags)
static void | xshm_overlay_clut_yuv2rgb (xshm_driver_t *this, vo_overlay_t *overlay, xshm_frame_t *frame)
static void | xshm_overlay_begin (vo_driver_t *this_gen, vo_frame_t *frame_gen, int changed)
static void | xshm_overlay_end (vo_driver_t *this_gen, vo_frame_t *vo_img)
static void | xshm_overlay_blend (vo_driver_t *this_gen, vo_frame_t *frame_gen, vo_overlay_t *overlay)
static void | clean_output_area (xshm_driver_t *this, xshm_frame_t *frame)
static int | xshm_redraw_needed (vo_driver_t *this_gen)
static void | xshm_display_frame (vo_driver_t *this_gen, vo_frame_t *frame_gen)
static int | xshm_get_property (vo_driver_t *this_gen, int property)
static int | xshm_set_property (vo_driver_t *this_gen, int property, int value)
static void | xshm_get_property_min_max (vo_driver_t *this_gen, int property, int *min, int *max)
static int | xshm_gui_data_exchange (vo_driver_t *this_gen, int data_type, void *data)
static void | xshm_dispose (vo_driver_t *this_gen)
static int | ImlibPaletteLUTGet (xshm_driver_t *this)
static const char * | visual_class_name (Visual *visual)
static vo_driver_t * | xshm_open_plugin_2 (video_driver_class_t *class_gen, const void *visual_gen)
static vo_driver_t * | xshm_open_plugin_old (video_driver_class_t *class_gen, const void *visual_gen)
static void * | xshm_init_class (xine_t *xine, const void *visual_gen)
static void * | xshm_init_class_2 (xine_t *xine, const void *visual_gen)

## Variables
static int | gX11Fail
static const vo_info_t | vo_info_xshm
static const vo_info_t | vo_info_xshm_2
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ CM_DRIVER_T

#define CM_DRIVER_T xshm_driver_t

## ◆ CM_LUT

#define CM_LUT

## ◆ FS_DONE

#define FS_DONE 1

## ◆ FS_FLAGS

#define FS_FLAGS 4

## ◆ FS_LATE

#define FS_LATE 2

## ◆ LOCK_DISPLAY

#define LOCK_DISPLAY | ( |  | this | ) |

Value:
{if(this->lock_display) this->lock_display(this->user_data); \
else XLockDisplay(this->display);}
user_data
static void user_data(vdpau_mpeg4_decoder_t *this_gen, uint8_t *buffer, int len)
Definition: vdpau_mpeg4.c:695

## ◆ LOG_MODULE

#define LOG_MODULE "video_out_xshm"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## ◆ UNLOCK_DISPLAY

#define UNLOCK_DISPLAY | ( |  | this | ) |

Value:
{if(this->unlock_display) this->unlock_display(this->user_data); \
else XUnlockDisplay(this->display);}

## Function Documentation

## ◆ clean_output_area()

static void clean_output_area | ( | xshm_driver_t * | this,
|  | xshm_frame_t * | frame
| ) |  |
| static

References vo_scale_s::border, LOCK_DISPLAY, xshm_frame_t::sc, UNLOCK_DISPLAY, and x11osd_resize().

Referenced by xshm_display_frame(), and xshm_redraw_needed().

## ◆ create_ximage()

static XImage * create_ximage | ( | xshm_driver_t * | this,
|  | XShmSegmentInfo * | shminfo,
|  | int | width,
|  | int | height
| ) |  |
| static

References _, bytes_per_pixel, gX11Fail, height, LOG_MODULE, NULL, width, x11_DeInstallXErrorHandler(), x11_InstallXErrorHandler(), XINE_VERBOSITY_LOG, and xprintf.

Referenced by xshm_frame_proc_setup(), and xshm_open_plugin_2().

## ◆ dispose_ximage()

static void dispose_ximage | ( | xshm_driver_t * | this,
|  | XShmSegmentInfo * | shminfo,
|  | XImage * | myimage
| ) |  |
| static

Referenced by xshm_frame_dispose(), xshm_frame_proc_setup(), and xshm_open_plugin_2().

## ◆ HandleXError()

static int HandleXError | ( | Display * | display,
|  | XErrorEvent * | xevent
| ) |  |
| static

References gX11Fail, and LOG_MODULE.

Referenced by x11_InstallXErrorHandler().

## ◆ ImlibPaletteLUTGet()

static int ImlibPaletteLUTGet | ( | xshm_driver_t * | this | ) |
| static

References NULL.

Referenced by xshm_open_plugin_2().

## ◆ visual_class_name()

static const char * visual_class_name | ( | Visual * | visual | ) |
| static

Referenced by xshm_open_plugin_2().

## ◆ x11_DeInstallXErrorHandler()

static void x11_DeInstallXErrorHandler | ( | xshm_driver_t * | this | ) |
| static

References NULL.

Referenced by create_ximage().

## ◆ x11_InstallXErrorHandler()

static void x11_InstallXErrorHandler | ( | xshm_driver_t * | this | ) |
| static

References HandleXError().

Referenced by create_ximage().

## ◆ xshm_alloc_frame()

static vo_frame_t * xshm_alloc_frame | ( | vo_driver_t * | this_gen | ) |
| static

References vo_frame_s::dispose, vo_frame_s::driver, vo_frame_s::field, vo_frame_s::mutex, NULL, vo_frame_s::proc_frame, vo_frame_s::proc_slice, xshm_frame_t::sc, xshm_frame_t::vo_frame, xshm_frame_dispose(), xshm_frame_field(), xshm_frame_proc_slice(), and xshm_frame_t::yuv2rgb.

Referenced by xshm_open_plugin_2().

## ◆ xshm_compute_ideal_size()

static void xshm_compute_ideal_size | ( | xshm_driver_t * | this,
|  | xshm_frame_t * | frame
| ) |  |
| static

References _x_vo_scale_compute_ideal_size(), and xshm_frame_t::sc.

Referenced by xshm_frame_proc_setup().

## ◆ xshm_compute_rgb_size()

static void xshm_compute_rgb_size | ( | xshm_driver_t * | this,
|  | xshm_frame_t * | frame
| ) |  |
| static

References _x_vo_scale_compute_output_size(), vo_scale_s::delivered_height, vo_scale_s::delivered_width, vo_frame_s::id, lprintf, vo_scale_s::output_height, vo_scale_s::output_width, xshm_frame_t::sc, and xshm_frame_t::vo_frame.

Referenced by xshm_frame_proc_setup().

## ◆ xshm_display_frame()

static void xshm_display_frame | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | frame_gen
| ) |  |
| static

References _x_vo_scale_redraw_needed(), clean_output_area(), vo_frame_s::crop_bottom, vo_scale_s::crop_bottom, vo_frame_s::crop_left, vo_scale_s::crop_left, vo_frame_s::crop_right, vo_scale_s::crop_right, vo_frame_s::crop_top, vo_scale_s::crop_top, vo_scale_s::delivered_height, vo_scale_s::delivered_width, vo_frame_s::format, FS_LATE, vo_frame_s::id, xshm_frame_t::image, LOCK_DISPLAY, lprintf, vo_scale_s::output_height, vo_scale_s::output_width, vo_scale_s::output_xoffset, vo_scale_s::output_yoffset, xshm_frame_t::sc, xshm_frame_t::state, UNLOCK_DISPLAY, vo_scale_s::video_pixel_aspect, xshm_frame_t::vo_frame, and XINE_IMGFMT_YV12.

Referenced by xshm_open_plugin_2().

## ◆ xshm_dispose()

static void xshm_dispose | ( | vo_driver_t * | this_gen | ) |
| static

References _x_alphablend_free(), _x_vo_scale_cleanup(), LOCK_DISPLAY, UNLOCK_DISPLAY, and x11osd_destroy().

Referenced by xshm_open_plugin_2().

## ◆ xshm_frame_dispose()

static void xshm_frame_dispose | ( | vo_frame_t * | vo_img | ) |
| static

References vo_frame_s::base, yuv2rgb_s::dispose, dispose_ximage(), vo_frame_s::driver, xshm_frame_t::image, LOCK_DISPLAY, vo_frame_s::mutex, xshm_frame_t::shminfo, UNLOCK_DISPLAY, xshm_frame_t::vo_frame, xine_free_aligned(), and xshm_frame_t::yuv2rgb.

Referenced by xshm_alloc_frame().

## ◆ xshm_frame_field()

static void xshm_frame_field | ( | vo_frame_t * | vo_img,
|  | int | which_field
| ) |  |
| static

References xshm_frame_t::image, yuv2rgb_s::next_slice, NULL, xshm_frame_t::rgb_dst, VO_BOTH_FIELDS, VO_BOTTOM_FIELD, VO_TOP_FIELD, and xshm_frame_t::yuv2rgb.

Referenced by xshm_alloc_frame(), and xshm_frame_proc_setup().

## ◆ xshm_frame_proc_setup()

static void xshm_frame_proc_setup | ( | vo_frame_t * | vo_img | ) |
| static

References vo_frame_s::base, cm_names, yuv2rgb_s::configure, contrast, create_ximage(), vo_frame_s::crop_bottom, vo_scale_s::crop_bottom, xshm_frame_t::crop_flush, vo_frame_s::crop_left, vo_scale_s::crop_left, vo_frame_s::crop_right, vo_scale_s::crop_right, xshm_frame_t::crop_start, xshm_frame_t::crop_stop, vo_frame_s::crop_top, vo_scale_s::crop_top, vo_scale_s::delivered_height, vo_scale_s::delivered_ratio, vo_scale_s::delivered_width, vo_scale_s::dest_size_cb, dispose_ximage(), vo_frame_s::driver, emms, vo_frame_s::flags, vo_frame_s::format, FS_DONE, FS_FLAGS, FS_LATE, vo_scale_s::gui_height, vo_scale_s::gui_pixel_aspect, vo_scale_s::gui_width, HAVE_MMX, height, xshm_frame_t::image, LOCK_DISPLAY, xshm_frame_t::offs0, xshm_frame_t::offs1, vo_scale_s::output_height, vo_scale_s::output_width, vo_frame_s::pitches, xshm_frame_t::sc, xshm_frame_t::shminfo, xshm_frame_t::state, UNLOCK_DISPLAY, vo_scale_s::user_data, vo_scale_s::user_ratio, vo_scale_s::video_pixel_aspect, VO_BOTH_FIELDS, VO_BOTTOM_FIELD, xshm_frame_t::vo_frame, VO_TOP_FIELD, width, XINE_IMGFMT_YV12, XINE_VERBOSITY_LOG, xprintf, xshm_compute_ideal_size(), xshm_compute_rgb_size(), xshm_frame_field(), and xshm_frame_t::yuv2rgb.

Referenced by xshm_frame_proc_slice().

## ◆ xshm_frame_proc_slice()

static void xshm_frame_proc_slice | ( | vo_frame_t * | vo_img,
|  | uint8_t ** | src
| ) |  |
| static

References xshm_frame_t::crop_flush, xshm_frame_t::crop_stop, vo_frame_s::format, xshm_frame_t::format, lprintf, xshm_frame_t::offs0, xshm_frame_t::offs1, vo_frame_s::pitches, vo_frame_s::proc_called, xshm_frame_t::rgb_dst, XINE_IMGFMT_YV12, xshm_frame_proc_setup(), xshm_frame_t::yuv2rgb, yuv2rgb_s::yuv2rgb_fun, and yuv2rgb_s::yuy22rgb_fun.

Referenced by xshm_alloc_frame().

## ◆ xshm_get_capabilities()

static uint32_t xshm_get_capabilities | ( | vo_driver_t * | this_gen | ) |
| static

References VO_CAP_BRIGHTNESS, VO_CAP_COLOR_MATRIX, VO_CAP_CONTRAST, VO_CAP_CROP, VO_CAP_FULLRANGE, VO_CAP_SATURATION, VO_CAP_UNSCALED_OVERLAY, VO_CAP_YUY2, and VO_CAP_YV12.

Referenced by xshm_open_plugin_2().

## ◆ xshm_get_property()

static int xshm_get_property | ( | vo_driver_t * | this_gen,
|  | int | property
| ) |  |
| static

References contrast, LOG_MODULE, VO_PROP_ASPECT_RATIO, VO_PROP_BRIGHTNESS, VO_PROP_CONTRAST, VO_PROP_MAX_NUM_FRAMES, VO_PROP_OUTPUT_HEIGHT, VO_PROP_OUTPUT_WIDTH, VO_PROP_OUTPUT_XOFFSET, VO_PROP_OUTPUT_YOFFSET, VO_PROP_SATURATION, VO_PROP_WINDOW_HEIGHT, VO_PROP_WINDOW_WIDTH, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by xshm_open_plugin_2().

## ◆ xshm_get_property_min_max()

static void xshm_get_property_min_max | ( | vo_driver_t * | this_gen,
|  | int | property,
|  | int * | min,
|  | int * | max
| ) |  |
| static

References VO_PROP_BRIGHTNESS, VO_PROP_CONTRAST, and VO_PROP_SATURATION.

Referenced by xshm_open_plugin_2().

## ◆ xshm_gui_data_exchange()

static int xshm_gui_data_exchange | ( | vo_driver_t * | this_gen,
|  | int | data_type,
|  | void * | data
| ) |  |
| static

References _x_vo_scale_translate_gui2video(), x11_rectangle_t::h, LOCK_DISPLAY, lprintf, NULL, UNLOCK_DISPLAY, x11_rectangle_t::w, x11_rectangle_t::x, x11osd_drawable_changed(), x11osd_expose(), XINE_GUI_SEND_COMPLETION_EVENT, XINE_GUI_SEND_DRAWABLE_CHANGED, XINE_GUI_SEND_EXPOSE_EVENT, XINE_GUI_SEND_TRANSLATE_GUI_TO_VIDEO, and x11_rectangle_t::y.

Referenced by xshm_open_plugin_2().

## ◆ xshm_init_class()

static void * xshm_init_class | ( | xine_t * | xine,
|  | const void * | visual_gen
| ) |  |
| static

References default_video_driver_class_dispose, video_driver_class_s::description, video_driver_class_s::dispose, xshm_class_t::driver_class, video_driver_class_s::identifier, N_, NULL, video_driver_class_s::open_plugin, xshm_class_t::xine, and xshm_open_plugin_old().

Referenced by xshm_init_class_2().

## ◆ xshm_init_class_2()

static void * xshm_init_class_2 | ( | xine_t * | xine,
|  | const void * | visual_gen
| ) |  |
| static

References xshm_class_t::driver_class, video_driver_class_s::open_plugin, xshm_class_t::xine, xshm_init_class(), and xshm_open_plugin_2().

## ◆ xshm_open_plugin_2()

static vo_driver_t * xshm_open_plugin_2 | ( | video_driver_class_t * | class_gen,
|  | const void * | visual_gen
| ) |  |
| static

References _, _x_alphablend_init(), _x_vo_scale_init(), xine_s::config, contrast, create_ximage(), x11_visual_t::d, x11_visual_t::dest_size_cb, x11_visual_t::display, dispose_ximage(), x11_visual_t::frame_output_cb, ImlibPaletteLUTGet(), LOCK_DISPLAY, x11_visual_t::lock_display, LOG_MODULE, mode(), MODE_15_BGR, MODE_15_RGB, MODE_16_BGR, MODE_16_RGB, MODE_24_BGR, MODE_24_RGB, MODE_32_BGR, MODE_32_RGB, MODE_8_BGR, MODE_8_GRAY, MODE_8_RGB, MODE_PALETTE, NULL, x11_visual_t::screen, UNLOCK_DISPLAY, x11_visual_t::unlock_display, x11_visual_t::user_data, user_data(), visual_class_name(), x11osd_create(), X11OSD_SHAPED, config_values_s::xine, xshm_class_t::xine, XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, XINE_VO_ASPECT_AUTO, xprintf, xshm_alloc_frame(), xshm_display_frame(), xshm_dispose(), xshm_get_capabilities(), xshm_get_property(), xshm_get_property_min_max(), xshm_gui_data_exchange(), xshm_overlay_begin(), xshm_overlay_blend(), xshm_overlay_end(), xshm_redraw_needed(), xshm_set_property(), xshm_update_frame_format(), and yuv2rgb_factory_init().

Referenced by xshm_init_class_2(), and xshm_open_plugin_old().

## ◆ xshm_open_plugin_old()

static vo_driver_t * xshm_open_plugin_old | ( | video_driver_class_t * | class_gen,
|  | const void * | visual_gen
| ) |  |
| static

References x11_visual_t::d, x11_visual_t::dest_size_cb, x11_visual_t::display, x11_visual_t::frame_output_cb, x11_visual_t::lock_display, NULL, x11_visual_t::screen, x11_visual_t::unlock_display, x11_visual_t::user_data, and xshm_open_plugin_2().

Referenced by xshm_init_class().

## ◆ xshm_overlay_begin()

static void xshm_overlay_begin | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | frame_gen,
|  | int | changed
| ) |  |
| static

References LOCK_DISPLAY, vo_frame_s::overlay_offset_x, vo_frame_s::overlay_offset_y, UNLOCK_DISPLAY, and x11osd_clear().

Referenced by xshm_open_plugin_2().

## ◆ xshm_overlay_blend()

static void xshm_overlay_blend | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | frame_gen,
|  | vo_overlay_t * | overlay
| ) |  |
| static

References _x_blend_rgb16(), _x_blend_rgb24(), _x_blend_rgb32(), vo_scale_s::crop_bottom, vo_scale_s::crop_left, vo_scale_s::crop_right, vo_scale_s::crop_top, vo_scale_s::delivered_height, vo_scale_s::delivered_width, height, vo_overlay_s::hili_rgb_clut, xshm_frame_t::image, LOCK_DISPLAY, vo_scale_s::output_height, vo_scale_s::output_width, vo_overlay_s::rgb_clut, vo_overlay_s::rle, xshm_frame_t::sc, UNLOCK_DISPLAY, vo_overlay_s::unscaled, width, x11osd_blend(), XINE_VERBOSITY_DEBUG, xprintf, and xshm_overlay_clut_yuv2rgb().

Referenced by xshm_open_plugin_2().

## ◆ xshm_overlay_clut_yuv2rgb()

static void xshm_overlay_clut_yuv2rgb | ( | xshm_driver_t * | this,
|  | vo_overlay_t * | overlay,
|  | xshm_frame_t * | frame
| ) |  |
| static

References clut_s::cb, vo_overlay_s::color, clut_s::cr, vo_overlay_s::hili_color, vo_overlay_s::hili_rgb_clut, vo_overlay_s::rgb_clut, clut_s::y, xshm_frame_t::yuv2rgb, and yuv2rgb_s::yuv2rgb_single_pixel_fun.

Referenced by xshm_overlay_blend().

## ◆ xshm_overlay_end()

static void xshm_overlay_end | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | vo_img
| ) |  |
| static

References LOCK_DISPLAY, UNLOCK_DISPLAY, and x11osd_expose().

Referenced by xshm_open_plugin_2().

## ◆ xshm_redraw_needed()

static int xshm_redraw_needed | ( | vo_driver_t * | this_gen | ) |
| static

References _x_vo_scale_redraw_needed(), and clean_output_area().

Referenced by xshm_open_plugin_2().

## ◆ xshm_set_property()

static int xshm_set_property | ( | vo_driver_t * | this_gen,
|  | int | property,
|  | int | value
| ) |  |
| static

References _x_vo_scale_aspect_ratio_name_table, contrast, LOG_MODULE, NULL, VO_PROP_ASPECT_RATIO, VO_PROP_BRIGHTNESS, VO_PROP_CONTRAST, VO_PROP_DISCARD_FRAMES, VO_PROP_SATURATION, XINE_VERBOSITY_DEBUG, XINE_VO_ASPECT_AUTO, XINE_VO_ASPECT_NUM_RATIOS, and xprintf.

Referenced by xshm_open_plugin_2().

## ◆ xshm_update_frame_format()

static void xshm_update_frame_format | ( | vo_driver_t * | this_gen,
|  | vo_frame_t * | frame_gen,
|  | uint32_t | width,
|  | uint32_t | height,
|  | double | ratio,
|  | int | format,
|  | int | flags
| ) |  |
| static

References vo_frame_s::base, vo_scale_s::delivered_height, vo_scale_s::delivered_ratio, vo_scale_s::delivered_width, xshm_frame_t::flags, xshm_frame_t::format, FS_DONE, FS_LATE, height, vo_frame_s::pitches, xshm_frame_t::sc, xshm_frame_t::state, VO_BOTH_FIELDS, xshm_frame_t::vo_frame, vo_frame_s::width, width, xine_freep_aligned, XINE_IMGFMT_YV12, and xine_malloc_aligned().

Referenced by xshm_open_plugin_2().

## Variable Documentation

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_VIDEO_OUT, 22, "xshm", XINE_VERSION_CODE, &vo_info_xshm, xshm_init_class },
{ PLUGIN_VIDEO_OUT, 22, "xshm", XINE_VERSION_CODE, &vo_info_xshm_2, xshm_init_class_2 },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
vo_info_xshm
static const vo_info_t vo_info_xshm
Definition: video_out_xshm.c:1472
xshm_init_class
static void * xshm_init_class(xine_t *xine, const void *visual_gen)
Definition: video_out_xshm.c:1444
xshm_init_class_2
static void * xshm_init_class_2(xine_t *xine, const void *visual_gen)
Definition: video_out_xshm.c:1462
vo_info_xshm_2
static const vo_info_t vo_info_xshm_2
Definition: video_out_xshm.c:1478
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition: xine_internal.h:57
NULL
NULL
Definition: xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition: xine_plugin.h:29
PLUGIN_VIDEO_OUT
#define PLUGIN_VIDEO_OUT
Definition: xine_plugin.h:36

## ◆ gX11Fail

int gX11Fail
| static

Referenced by create_ximage(), and HandleXError().

## ◆ vo_info_xshm

const vo_info_t vo_info_xshm
| static

Initial value:
= {
.priority = 6,
.visual_type = XINE_VISUAL_TYPE_X11,
}
XINE_VISUAL_TYPE_X11
#define XINE_VISUAL_TYPE_X11
Definition: xine.h:154

## ◆ vo_info_xshm_2

const vo_info_t vo_info_xshm_2
| static

Initial value:
= {
.priority = 6,
.visual_type = XINE_VISUAL_TYPE_X11_2,
}
XINE_VISUAL_TYPE_X11_2
#define XINE_VISUAL_TYPE_X11_2
Definition: xine.h:155